# Define variables
DIR="{{ backups_role_path }}/wp"
TAR="$DIR/backup.tar.gz"
TMP="{{ backups_role_tmp_path }}/$(date +%Y%m%d)"
SQL="$TMP/$(date +%Y%m%d)-.sql"

# Create the folders for today's backup
run "mkdir -p $TMP"
log "Temporal folder: $TMP"

# Dump the database to temporal folder
run "wp-cli db export $SQL --add-drop-table --path={{ wp_path }}"
log "Database dump: $SQL"

# Copy wp-content to temporal folder
run "cp -R {{ wp_path }}/wp-content $TMP"
log "Folder backed: $TMP/wp-content"

# Extract WP contents
run "wp-cli export --dir=$TMP/ --path={{ wp_path }}"
log "WP content xml export done."

# Export WP options
run "wp-cli option list --format=json --path={{ wp_path }} > $TMP/wp-options.json "
log "WP options JSON export: $TMP/wp-options.json"
# Compress it all
# (To extract it, use:
# $ openssl enc -d -pbkdf2 -pass pass:<password> -in /backups/<name>.tar.gz | sudo tar -x

run "tar czf $TAR $TMP/*"
log "$TAR created"
run "rm -rf $TMP"